aiengine: xsock_clitest.c File Reference

| aiengine Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

xsock_clitest.c File Reference

## Overview

This file contains the entry point for the client socket connection test and other tests for sample startup.py.

    MODIFICATION HISTORY:

    Ver   Who     Date     Changes

    1.0  Naresh  04/06/2018  Initial creation
    1.1  Naresh  04/10/2018  Added call to API XAieSim_Init
    1.2  Naresh  04/10/2018  Added macro call for XAIESIM_DEVCFG_SET_CONFIG
    1.3  Naresh  04/18/2018  Added API call for XAieTile_DmWriteWord
    1.4  Naresh  05/23/2018  Updated code to fix CR#999693
    1.5  Naresh  06/13/2018  Fixed CR#1003905
    1.6  Naresh  07/11/2018  Updated copyright info
    1.7  Nishad  12/05/2018  Renamed ME attributes to AIE

#define | XAIE_BUFLEN 256
| Buffer length for socket communication. More...
XSockCli | SockCli
| Client socket instance. More...
XAieGbl_Config * | MeConfigPtr
| AIE configuration pointer. More...
XAieGbl | MeInst
| AIE global instance. More...
XAieGbl_Tile | TileInst [XAIE_NUM_COLS][XAIE_NUM_ROWS+1]
| AIE HW configuration instance. More...
int | main (int argc, char *argv[])
| This is the main entry point for the AIE RTS driver test. More...

## Macro Definition Documentation

#define XAIE_BUFLEN 256

Buffer length for socket communication.

Referenced by main().

## Function Documentation

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

This is the main entry point for the AIE RTS driver test.

Parameters

  argc | : Number of command line arguments.
  argv[0] | : File name.
  argv[1] | : Host name for the socket connection.
  argv[2] | : Port number for the socket connection.
  argv[3] | : Path to the ELF file.

Returns
  XAIE_SUCCESS on success, else XAIE_FAILURE.

Note
  None.

References XAieDma_Tile::IsReady, XAieGbl_HwCfg::NumCols, XAieGbl_HwCfg::NumRows, XAIE_BUFLEN, XAieDma_TileBdSetAdrLenMod(), XAieDma_TileBdSetLock(), XAieDma_TileBdSetNext(), XAieDma_TileBdWrite(), XAieDma_TileChControl(), XAieDma_TileInitialize(), XAieDma_TileSetStartBd, XAieGbl_CfgInitialize(), XAieGbl_HwInit(), XAieGbl_LookupConfig(), XAieSim_Init(), XAieTile_CoreControl(), XAieTile_CoreWaitCycles(), XAieTile_DmWriteWord(), XAieTile_LockAcquire(), XAieTile_LockRelease(), XAieTile_PlIntfDownszrEnable(), XAieTile_PlIntfStrmWidCfg(), XAieTile_StrmConfigMstr(), XAieTile_StrmConfigSlv(), XAieTile_StrmConfigSlvSlot(), XAieTile_StrmConnectCct(), XAIETILE_STRSW_MPORT_CFGPKT, XAIETILE_STRSW_MPORT_CTRL, XAIETILE_STRSW_MPORT_DMA, XAIETILE_STRSW_MPORT_NORTH, XAIETILE_STRSW_MPORT_SOUTH, XAIETILE_STRSW_SLVSLOT_CFG, XAIETILE_STRSW_SPORT_DMA, XAIETILE_STRSW_SPORT_NORTH, XAIETILE_STRSW_SPORT_SOUTH, XSock_CliClose(), XSock_CliCreate(), XSock_CliRead(), and XSock_CliWrite().

## Variable Documentation

XAieGbl_Config* MeConfigPtr

AIE configuration pointer.

XAieGbl MeInst

AIE global instance.

XSockCli SockCli

Client socket instance.

XAieGbl_Tile TileInst[XAIE_NUM_COLS][XAIE_NUM_ROWS+1]

AIE HW configuration instance.